/*
 *   libaudiotag - A media file tag-reader library
 *   Copyright (C) 2003, 2004  Pipian
 *
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
 
#ifndef MAINTAGS_H
#define MAINTAGS_H 1

/*
 * tag_type byte setup:
 *
 * 0xabcccccc 0xdefghijk
 *
 * a: READ_ERROR
 * b: CD_AUDIO
 * c: RESERVED
 * d: iTunes
 * e: Speex (Ogg)
 * f: OggFLAC
 * g: FLAC
 * h: APE
 * i: Vorbis
 * j: ID3v2
 * k: ID3v1
 */

#define READ_ERROR 0x80
#define CD_AUDIO 0x40
#define NO_TAGS 0x0
#define ID3V1_TAG 0x1
#define ID3V2_TAG 0x2
#define VORBIS_TAG 0x4
#define APE_TAG 0x8
#define FLAC_TAG 0x10
#define OGGFLAC_TAG 0x20
#define SPEEX_TAG 0x40
#define ITUNES_TAG 0x80

char *tag_exists(char *);
#endif
